## gnome-shell-extension-blur-my-shell 47

=== Makefile ===
NAME = blur-my-shell
UUID = $(NAME)@aunetx

.PHONY: build install pot test-shell test-prefs remove clean


build: clean
	mkdir -p build/
	cd src && gnome-extensions pack -f \
			--extra-source=../metadata.json \
			--extra-source=../resources/icons \
			--extra-source=../resources/ui \
			--extra-source=./components \
			--extra-source=./conveniences \
			--extra-source=./effects \
			--extra-source=./preferences \
			--extra-source=./dbus \
			--podir=../po \
			--schema=../schemas/org.gnome.shell.extensions.$(NAME).gschema.xml \
			-o ../build


install: build remove
	gnome-extensions install -f build/$(UUID).shell-extension.zip


pot:
	find resources/ui -iname "*.ui" -printf "%f\n" | sort | \
		xargs xgettext --directory=resources/ui --output=po/$(UUID).pot \
		--from-code=utf-8 --package-name=$(UUID)

	rm po/LINGUAS
	for l in $$(ls po/*.po); do \
		basename $$l .po >> po/LINGUAS; \
	done

	cd po && \
	for lang in $$(cat LINGUAS); do \
    	mv $${lang}.po $${lang}.po.old; \
    	msginit --no-translator --locale=$$lang --input $(UUID).pot -o $${lang}.po.new; \
    	msgmerge -N $${lang}.po.old $${lang}.po.new > $${lang}.po; \
    	rm $${lang}.po.old $${lang}.po.new; \
	done


test-shell: install
	env GNOME_SHELL_SLOWDOWN_FACTOR=2 \
		MUTTER_DEBUG_DUMMY_MODE_SPECS=1500x1000 \
	 	MUTTER_DEBUG_DUMMY_MONITOR_SCALES=1 \
		dbus-run-session -- gnome-shell --nested --wayland


test-prefs: install
	gnome-extensions prefs blur-my-shell@aunetx


remove:
	rm -rf $(HOME)/.local/share/gnome-shell/extensions/$(UUID)


clean:
	rm -rf build/ po/*.mo

=== debian/changelog ===
gnome-shell-extension-blur-my-shell (47-1) unstable; urgency=medium

  * Initial release (Closes: #1070034)

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 29 Apr 2024 16:51:35 -0300

=== debian/control ===
Source: gnome-shell-extension-blur-my-shell
Section: gnome
Priority: optional
Maintainer: Marcelo Jorge Vieira <metal@debian.org>
Build-Depends: debhelper-compat (=13), libglib2.0-bin
Standards-Version: 4.6.2
Homepage: https://github.com/aunetx/blur-my-shell
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-blur-my-shell.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-blur-my-shell
Rules-Requires-Root: no

Package: gnome-shell-extension-blur-my-shell
Architecture: all
Depends: ${misc:Depends}, gnome-shell (>= 42~), gnome-shell (<< 45~)
Description: Extension that adds a blur look to different parts of the GNOME Shell
 A GNOME Shell extension that adds a blur look to different parts of the GNOME
 Shell, including the top panel, dash and overview.

## gnome-shell-extension-blur-my-shell 67

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 NAME = blur-my-shell
 UUID = $(NAME)@aunetx
+VM_PATH = ~/Projects/shared/extensions
 
 .PHONY: build install pot test-shell test-prefs remove clean
 
@@ -25,8 +26,8 @@
 
 
 pot:
-	find resources/ui -iname "*.ui" -printf "%f\n" | sort | \
-		xargs xgettext --directory=resources/ui --output=po/$(UUID).pot \
+	find resources/ui -iname "*.ui" -printf "%p\n" | sort | \
+		xargs xgettext --output=po/$(UUID).pot src/effects/effects.js \
 		--from-code=utf-8 --package-name=$(UUID)
 
 	rm po/LINGUAS
@@ -51,7 +52,11 @@
 
 
 test-prefs: install
-	gnome-extensions prefs blur-my-shell@aunetx
+	gnome-extensions prefs $(UUID)
+
+
+test-vm: build
+	unzip build/$(UUID).shell-extension.zip -d $(VM_PATH)/$(UUID)
 
 
 remove:

=== debian/changelog ===
gnome-shell-extension-blur-my-shell (67-3) unstable; urgency=high

  * Source only upload

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 03 Mar 2025 16:47:17 -0300

gnome-shell-extension-blur-my-shell (67-2) unstable; urgency=medium

  * Initial port to GNOME 48 (Closes: #1096040)

 -- Marcelo Jorge Vieira <metal@debian.org>  Sun, 02 Mar 2025 23:04:52 -0300

gnome-shell-extension-blur-my-shell (67-1) unstable; urgency=medium

  * New upstream version 67

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 16 Sep 2024 20:16:42 -0300

gnome-shell-extension-blur-my-shell (65-1) unstable; urgency=medium

  * New upstream version 65 (Closes: #1079240)
  * Add gnome 47 support

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 22 Aug 2024 21:16:18 -0300

gnome-shell-extension-blur-my-shell (62-2) unstable; urgency=medium

  * Release to unstable (Closes: #1076261)
  * Fix minimum gnome-shell version

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 13 Jul 2024 11:12:21 -0300

gnome-shell-extension-blur-my-shell (62-1) experimental; urgency=medium

  * New upstream version 62
  * debian/control: Update dependency on gnome-shell 46 (only)

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 30 May 2024 18:47:41 -0300

gnome-shell-extension-blur-my-shell (47-2) unstable; urgency=medium

  * Source only upload for migration to testing

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 14 May 2024 22:47:33 -0300

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: gnome-shell-extension-blur-my-shell
 Architecture: all
-Depends: ${misc:Depends}, gnome-shell (>= 42~), gnome-shell (<< 45~)
+Depends: ${misc:Depends}, gnome-shell (>= 48~), gnome-shell (<< 49~)
 Description: Extension that adds a blur look to different parts of the GNOME Shell
  A GNOME Shell extension that adds a blur look to different parts of the GNOME
  Shell, including the top panel, dash and overview.

=== debian/rules ===
#!/usr/bin/make -f

extension_id=blur-my-shell@aunetx
package_name=gnome-shell-extension-blur-my-shell
basedir=debian/$(package_name)/usr/share/gnome-shell/extensions/$(extension_id)

%:
	dh $@

override_dh_auto_build:
	glib-compile-schemas --targetdir=schemas schemas

override_dh_auto_install:
	for po in $$(ls po/*.po); do \
		lang=$$(basename $${po%.*}); \
		msgfmt -cv -o po/$$lang.mo $$po; \
		locale_dir=$(basedir)/locale/$$lang/LC_MESSAGES; \
		mkdir -p $$locale_dir; \
		cp po/$$lang.mo $$locale_dir/$(extension_id).mo; \
	done;

override_dh_auto_clean:
	rm -f schemas/gschemas.compiled
	rm -f po/*.mo
	dh_auto_clean

## gnome-shell-extension-blur-my-shell 68

=== debian/changelog ===
gnome-shell-extension-blur-my-shell (68-1) unstable; urgency=medium

  * New upstream version
  * Dropped GNOME 68 port patch (now applied upstream)

 -- Marcelo Jorge Vieira <metal@debian.org>  Wed, 07 May 2025 21:20:53 -0300

## gnome-shell-extension-blur-my-shell 69

=== debian/changelog ===
gnome-shell-extension-blur-my-shell (69-2) unstable; urgency=medium

  * Support for GNOME 49 (Closes: #1115508)

 -- Marcelo Jorge Vieira <metal@debian.org>  Fri, 26 Sep 2025 10:11:00 -0300

gnome-shell-extension-blur-my-shell (69-1) unstable; urgency=medium

  * New upstream version 69

 -- Marcelo Jorge Vieira <metal@debian.org>  Fri, 22 Aug 2025 23:22:04 -0300

=== debian/control ===
Source: gnome-shell-extension-blur-my-shell
Section: gnome
Priority: optional
Maintainer: Marcelo Jorge Vieira <metal@debian.org>
Build-Depends: debhelper-compat (=13), libglib2.0-bin, python3
Standards-Version: 4.6.2
Homepage: https://github.com/aunetx/blur-my-shell
Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-blur-my-shell.git
Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-blur-my-shell
Rules-Requires-Root: no

Package: gnome-shell-extension-blur-my-shell
Architecture: all
Depends: ${misc:Depends},
 gnome-shell (>= ${gnome:MinimumVersion}~),
 gnome-shell (<< ${gnome:MaximumVersion}~),
Description: Extension that adds a blur look to different parts of the GNOME Shell
 A GNOME Shell extension that adds a blur look to different parts of the GNOME
 Shell, including the top panel, dash and overview.

=== debian/rules ===
--- 
+++ 
@@ -23,3 +23,8 @@
 	rm -f schemas/gschemas.compiled
 	rm -f po/*.mo
 	dh_auto_clean
+
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")

=== debian/watch ===
version=3
opts="filenamemangle=s/.+\/v?(.*)\.tar\.gz/blur-my-shell-$1.tar.gz/" \
 https://github.com/aunetx/blur-my-shell/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## gnome-shell-extension-blur-my-shell 70

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	mkdir -p build/
 	cd src && gnome-extensions pack -f \
 			--extra-source=../metadata.json \
+			--extra-source=../LICENSE \
 			--extra-source=../resources/icons \
 			--extra-source=../resources/ui \
 			--extra-source=./components \

=== debian/changelog ===
gnome-shell-extension-blur-my-shell (70-1) unstable; urgency=medium

  * Set GNOME team as maintainer
  * New upstream version 70
  * Revert "Support for GNOME 49" (already applied upstream)
  * debian/watch: convert obsolete format to version 5

 -- Marcelo Jorge Vieira <metal@debian.org>  Tue, 04 Nov 2025 16:39:02 -0300

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gnome-shell-extension-blur-my-shell
 Section: gnome
 Priority: optional
-Maintainer: Marcelo Jorge Vieira <metal@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Marcelo Jorge Vieira <metal@debian.org>
 Build-Depends: debhelper-compat (=13), libglib2.0-bin, python3
 Standards-Version: 4.6.2
 Homepage: https://github.com/aunetx/blur-my-shell
-Vcs-Git: https://salsa.debian.org/debian/gnome-shell-extension-blur-my-shell.git
-Vcs-Browser: https://salsa.debian.org/debian/gnome-shell-extension-blur-my-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-blur-my-shell.git
+Vcs-Browser: https://salsa.debian.org/gnome-team/shell-extensions/gnome-shell-extension-blur-my-shell
 Rules-Requires-Root: no
 
 Package: gnome-shell-extension-blur-my-shell

=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/aunetx/blur-my-shell/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%(api.github.com/repos/[^/]+/[^/]+)/git/refs/%$1/tarball/refs/%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Search-Mode: plain
